#include "71x_lib.h"
#include "vectors.h"
#include "global.h"
#include <stdio.h>
#include <string.h>


void AccSensorCalib(void)
{
	u8 Axis, Chip;
	u16 cnt3;
	u32 Sum;
	u8 Buffer[30];
	u16 AxisZeroG[3][3]; // AxisZeroG[Chip][Axis]
	
	for (Chip=0; Chip<=2; Chip++) {
		AccSensorCS(Chip);	// Selection of Chip 'cnt2'
		for (Axis=0; Axis<=2; Axis++) {
			Sum = 0;
			for (cnt3=0; cnt3<1024; cnt3++) {
				while (ADC12_FlagStatus(1<<Axis) == RESET);
				Sum += ADC12_UnsigValue(ADC12_ConversionValue(Axis*(0x10)));
			}
			Sum >>=10;
			AxisZeroG[Chip][Axis] = (u16) Sum;
			sprintf(Buffer, "CALIB[%i][%i]: %i", Chip, Axis, AxisZeroG[Chip][Axis]);
			UART_StringSend(UART0, Buffer);
		}
	}
}
